Subject: bug#64872: guix pull: texlive-hyphen-complete: build failed (was: "guix pull: po4a: build failed")

From: Artyom Poptsov <[email-masked]>
Date: Fri, 28 Jul 2023 12:02:11 +0300

Hello Christopher,

I tried to build "texlive-hyphen-complete" using a local Guix clone
with the following commands:

$ cd guix
$ guix shell -D guix
$ ./bootstrap
$ make -j$(nproc)
$ guix build -K texlive-hyphen-complete

Also I tried to build the derivation directly as you suggested:
$ guix build /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv

I've got the same error in both cases.

Thanks,

- avp

On Wed, 26 Jul 2023 at 20:13, Christopher Baines <[email-masked]> wrote:
>
>
> Artyom Poptsov <[email-masked]> writes:
>
> > Huh, it seems that the problem not in "po4a" itself but in
> > "texlive-hyphen-complete".
> >
> > When I try to access
> >   https://www.tug.org/texlive/tags/texlive-2023.0/Master/texmf-dist//doc/generic/elhyphen
> > I get 404 error.
>
> Ok, well maybe try building
> /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv
> and post the log.
>
> Since quite recently, the subversion downloads should fallback to
> talking to bordeaux.guix.gnu.org, which should be able to provide a nar
> for this, even if you get a 404 from www.tug.org, but it would be good
> to see if that is attempted.

-- 
Artyom V. Poptsov <[email-masked]>
Home page: https://memory-heap.org/~avp/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE  B57C E9C5 A2D9 0898 A02F